-- Useful tools for lua
Utils = require('utils')

-- Load basic configuration
require("config")

-- Init lazy.nvim plugin manager
local lazypath = vim.fn.stdpath('data') .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
    vim.fn.system {
        'git',
        'clone',
        '--filter=blob:none',
        'https://github.com/folke/lazy.nvim.git',
        '--branch=stable',
        lazypath,
    }
end
vim.opt.rtp:prepend(lazypath)

-- Load plugins
require("lazy").setup("plugins", {
    change_detection = {
        enabled = false,
        notify = false,
    },
})

-- Load lsp configuration
require("lsp")
